import * as Yup from 'yup'

export const validationSchema = Yup.object().shape({

    smokeLog: Yup.object().shape({
    
        wakeupsmoke: Yup.number()            
            .min(0,'Wake up smoke is required')
            .max(3,'Wake up smoke is required'),
        forbiddensmoke: Yup.number()
            .min(0, 'Forbidden smoke is required')
            .max(1, 'Forbidden smoke is required'),
        hatesmoke: Yup.number()
            .min(0, 'Hate Smoke is required')
            .max(1, 'Hate Smoke is required'),
        countsmoke: Yup.number()
            .min(0, 'Count smoke is required')
            .max(3, 'Count smoke is required'),
        frequencysmoke: Yup.number()
            .min(0, 'Frequency smoke is required')
            .max(1, 'Frequency Smoke is required'),
        illsmoke: Yup.number()
            .min(0, 'Ill smoke is required')
            .max(1, 'Ill Smoke is required'),
        total: Yup.number()
            .min(0, 'Smoke Score is required'),
        
    })
})
